aboutsummaryrefslogtreecommitdiffstats
path: root/main/libatasmart/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2010-09-26 11:09:30 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2010-09-27 12:22:33 +0000
commitf34113d8c6a676f6ddaf9120f9348959c1b6e689 (patch)
treed6a23e4e8b2fd8a3fa896f616918123a652d062e /main/libatasmart/APKBUILD
parent78b1a8b6ede80d45a1abe661a1f666ffb10087cb (diff)
downloadaports-f34113d8c6a676f6ddaf9120f9348959c1b6e689.tar.gz
aports-f34113d8c6a676f6ddaf9120f9348959c1b6e689.tar.bz2
aports-f34113d8c6a676f6ddaf9120f9348959c1b6e689.tar.xz
main/libatasmart: new apkbuild
(cherry picked from commit 8fd5fdf966e0e00e97b79d14bb3be40486dfe6b2)
Diffstat (limited to 'main/libatasmart/APKBUILD')
-rw-r--r--main/libatasmart/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/libatasmart/APKBUILD b/main/libatasmart/APKBUILD
new file mode 100644
index 0000000000..ad2fb1ecc8
--- /dev/null
+++ b/main/libatasmart/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Carlo Landmeter
+# Maintainer:
+pkgname=libatasmart
+pkgver=0.17
+pkgrel=0
+pkgdesc="ATA S.M.A.R.T. Reading and Parsing Library"
+url="http://0pointer.de/blog/projects/being-smart.html"
+license="GPL"
+depends=
+makedepends="udev-dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://0pointer.de/public/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-static \
+ --localstatedir=/var
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="dc36cadbbb7fa38f8af175713eda1a21 libatasmart-0.17.tar.gz"